
QGIS Application - Bug report #14982

QJSON cmake files not provided in master source

2016-06-08 03:30 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22931

Description

In trying to configure the latest master I get:

CMake Warning at CMakeLists.txt:316 (FIND_PACKAGE):

   By not providing "FindQJSON.cmake" in CMAKE_MODULE_PATH this project has

   asked CMake to find a package configuration file provided by "QJSON", but

   CMake did not find one.

Could not find a package configuration file provided by "QJSON" with any of

   the following names:

QJSONConfig.cmake

     qjson-config.cmake

Add the installation prefix of "QJSON" to CMAKE_PREFIX_PATH or set

   "QJSON_DIR" to a directory containing one of the above files.  If "QJSON" 

   provides a separate development package or SDK, be sure it has been

   installed.

Associated revisions

Revision a033e81a - 2016-06-09 12:50 AM - Jürgen Fischer

add qjson to INSTALL (fixes #14982)

History

#1 - 2016-06-08 04:26 AM - Jürgen Fischer

install libqjson-dev

#2 - 2016-06-08 05:49 AM - Gavin Fleming

thanks Jurgen, please add that to the apt-get install lists in http://htmlpreview.github.io/?https://raw.github.com/qgis/QGIS/master/doc/INSTALL.html

#3 - 2016-06-08 03:51 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"a033e81addde539b361e4c66bc49fa4ff0131273".
http://htmlpreview.github.io/?https://raw.github.com/qgis/QGIS/master/doc/INSTALL.html


#4 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
